SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF EXISTS (SELECT * FROM sys.objects 
   WHERE object_id = OBJECT_ID(N'ImpCobradosArti') )
DROP Function ImpCobradosArti
GO


--Este procedimiento es para consultar los montos de impuestos
--cobrados a un articulo segun la linea de factura


CREATE  FUNCTION ImpCobradosArti
                (@id_fali integer)
                
RETURNS float  AS 
BEGIN 
/* Este procedimiento es para consultar los montos de impuestos
   cobrados a un articulo segun la linea de factura
*/

    Declare @cImporteOut Float
    
    Select @cImporteOut = COALESCE((SELECT SUM(importe_imp) FROM RESTHFAI WHERE id_fali=@id_fali),0)
    
    
	RETURN (@cImporteOut)
END
GO


