

/****** Object:  View [dbo].[VArticulosCC]    Script Date: 03/06/2013 10:21:27 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO
DROP VIEW [dbo].[VArticulosCC]
GO

CREATE VIEW [dbo].[VArticulosCC]
AS
SELECT     CONVERT(varchar(8), folio.num_tarj) + '-' + RTRIM(folio.nombre_titular) AS Credito, hfac.id_mone, pvta.id_pvta, pvta.cod_pvta, pvta.desc_pvta, '' AS id_fami, 
                      '' AS desc_fami, lfac.id_arti, arti.cod_arti, arti.desc_arti, '' AS cod_mone, '' AS desc_mone, lfac.cantidad, hfac.Nro_Cheque AS id_cta_con1, '' AS conc_ingres, 
                      hfac.tasa AS tasa_inv, lfac.importe_bruto AS vbrutas, lfac.importe_neto AS vnetas, lfac.dcto_neto, lfac.recargo_neto, lfac.precio_costo, 
                      hfac.fecha_cier AS fecha_factura
FROM         dbo.VRESTHFAC AS hfac INNER JOIN
                      InnFront.dbo.HCRETARJ AS folio ON hfac.id_refer = folio.id_tarj INNER JOIN
                      dbo.RESTHFCO AS hfaco ON hfac.id_fact = hfaco.id_fact INNER JOIN
                      dbo.RESTTCOB AS tco ON hfaco.id_tcob = tco.id_tcob INNER JOIN
                      dbo.RESTPVTA AS pvta ON hfac.id_pvta = pvta.id_pvta INNER JOIN
                      dbo.VRESTHFAL AS lfac ON hfac.id_fact = lfac.id_fact INNER JOIN
                      dbo.RESTARTI AS arti ON lfac.id_arti = arti.id_arti
WHERE     (lfac.cantidad > 0) AND (tco.cuenta_casa = 1)

GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane1', @value=N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[41] 4[20] 2[15] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "hfac"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 125
               Right = 210
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "folio"
            Begin Extent = 
               Top = 6
               Left = 248
               Bottom = 125
               Right = 408
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "hfaco"
            Begin Extent = 
               Top = 6
               Left = 446
               Bottom = 125
               Right = 606
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "tco"
            Begin Extent = 
               Top = 6
               Left = 644
               Bottom = 125
               Right = 804
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "pvta"
            Begin Extent = 
               Top = 6
               Left = 842
               Bottom = 125
               Right = 1052
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "lfac"
            Begin Extent = 
               Top = 126
               Left = 38
               Bottom = 245
               Right = 218
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "arti"
            Begin Extent = 
               Top = 126
               Left = 256
               Bottom = 245
               Right = 416
            End
            DisplayFlags = 280
            TopColumn =' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VArticulosCC'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPane2', @value=N' 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 22
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VArticulosCC'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_DiagramPaneCount', @value=2 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'VIEW',@level1name=N'VArticulosCC'
GO


