set language english

exec sp_executesql N'SELECT tasa  = siclamon.tasa  
                     FROM   siclamon 
                     WHERE  id_mone = @P1 '
                     ,N'@P1 float',2
go
exec sp_executesql N'SELECT id_peri 
                     FROM ContPeri 
                     WHERE id_ejer = @P1 
						AND orden = 0'
						,N'@P1 float',186
go
exec sp_executesql N'SELECT debe = SUM(debe),  
                            haber = SUM(haber),   
                            tdebe_mb = SUM(tdebe_mb), 
                            thaber_mb = SUM(thaber_mb)   
                     FROM(
						  SELECT debe = CASE WHEN vdiario.id_mone = contplan.id_mone THEN debe 
						                ELSE tdebe_mb * COALESCE(siclamon.tasa, @P1) / @P2  
						                END,  
						         haber = CASE WHEN vdiario.id_mone = contplan.id_mone THEN haber 
						                 ELSE thaber_mb * COALESCE(siclamon.tasa, @P3) / @P4  
						                 END,  
						         tdebe_mb = tdebe_mb, 
						         thaber_mb = thaber_mb  
						  FROM       vdiario 
						  INNER JOIN contplan ON vdiario.id_cuenta = contplan.id_cuenta  
						  LEFT JOIN  siclamon ON contplan.id_mone = siclamon.id_mone  
						  WHERE vdiario.id_empr = @P5 
							AND vdiario.id_ejer = @P6   
							AND (DATEDIFF(DAY,vdiario.fec_con, @P7) > 0 OR vdiario.id_peri = @P8)  
							AND vdiario.id_cuenta = @P9   
						  UNION ALL 
						  SELECT debe = CASE WHEN vastospdtes.id_mone = contplan.id_mone THEN debe 
						                ELSE tdebe_mb * COALESCE(siclamon.tasa, @P10) / @P11  
						                END,  
						         haber = CASE WHEN vastospdtes.id_mone = contplan.id_mone THEN haber 
						                 ELSE thaber_mb * COALESCE(siclamon.tasa, @P12) / @P13  
						                 END,  
						         tdebe_mb = tdebe_mb, 
						         thaber_mb = thaber_mb  
						  FROM       vastospdtes 
						  INNER JOIN contplan ON vastospdtes.id_cuenta = contplan.id_cuenta  
						  LEFT JOIN  siclamon ON contplan.id_mone = siclamon.id_mone  
						  WHERE vastospdtes.id_empr = @P14   
						    AND vastospdtes.id_ejer = @P15   
						    AND (DATEDIFF(DAY,vastospdtes.fec_con, @P16) > 0 OR vastospdtes.id_peri = @P17)  
						    AND vastospdtes.id_cuenta = @P18) todo '
						  ,N'@P1 float,@P2 float,@P3 float,@P4 float,@P5 float,@P6 float,@P7 datetime,@P8 float,@P9 float,@P10 float,@P11 float,@P12 float,@P13 float,@P14 float,@P15 float,@P16 datetime,@P17 float,@P18 float',
						  0.00191939,0.00191939,0.00191939,0.00191939,
						  98,186,'2010-10-01 00:00:00',2084,77258,0.00191939,0.00191939,0.00191939,0.00191939,98,186,'2010-10-01 00:00:00',2084,77258
go
 
exec sp_executesql N'SELECT vdiario.*, 
                            debe_l = CASE WHEN vdiario.id_mone = contplan.id_mone THEN debe 
                                          ELSE ROUND(tdebe_mb * COALESCE(siclamon.tasa, @P1) / @P2, 2) 
                                          END,  
                            haber_l = CASE WHEN vdiario.id_mone = contplan.id_mone THEN haber 
                                      ELSE thaber_mb * COALESCE(siclamon.tasa, @P3) / @P4  
                                      END,  
                            tasa_mone = siclamon.tasa, 
                            mone_cta = contplan.id_mone 
                     FROM       vdiario 
                     INNER JOIN contplan ON vdiario.id_cuenta = contplan.id_cuenta  
                     LEFT JOIN  siclamon ON contplan.id_mone = siclamon.id_mone 
                     WHERE vdiario.id_empr = @P5 
                       AND id_ejer = @P6 
                       AND DATEDIFF(DAY,fec_con, @P7) <= 0 
                       AND DATEDIFF(DAY,fec_con, @P8) >= 0  
                       AND vdiario.id_cuenta = @P9   
                       AND id_peri != @P10   
                     UNION ALL 
                     SELECT vastospdtes.*, 
                            debe_l = CASE WHEN vastospdtes.id_mone = contplan.id_mone THEN debe 
                                          ELSE ROUND(tdebe_mb * COALESCE(siclamon.tasa, @P11) / @P12, 2) 
                                          END,  
                            haber_l = CASE WHEN vastospdtes.id_mone = contplan.id_mone THEN haber 
                                           ELSE thaber_mb * COALESCE(siclamon.tasa, @P13) / @P14  
                                           END,  
                            tasa_mone = siclamon.tasa, 
                            mone_cta = contplan.id_mone 
                     FROM       vastospdtes 
                     INNER JOIN contplan ON vastospdtes.id_cuenta = contplan.id_cuenta  
                     LEFT JOIN  siclamon ON contplan.id_mone = siclamon.id_mone 
                     WHERE vastospdtes.id_empr = @P15   
                       AND id_ejer = @P16   
                       AND DATEDIFF(DAY, fec_con, @P17) <= 0  
                       AND DATEDIFF(DAY, fec_con, @P18) >= 0  
                       AND vastospdtes.id_cuenta = @P19   
                       AND id_peri != @P20   
                     ORDER BY fec_con, compro_show, cta_cto'
                     ,N'@P1 float,@P2 float,@P3 float,@P4 float,@P5 float,@P6 float,@P7 datetime,@P8 datetime,@P9 float,@P10 float,@P11 float,@P12 float,@P13 float,@P14 float,@P15 float,@P16 float,@P17 datetime,@P18 datetime,@P19 float,@P20 float',
                     0.00191939,0.00191939,0.00191939,0.00191939,98,186,'2010-10-01 00:00:00','2011-09-23 00:00:00',77258,2084,0.00191939,0.00191939,0.00191939,0.00191939,98,186,'2010-10-01 00:00:00','2011-09-23 00:00:00',77258,2084
go

EXEC DSS_ACC_ExtractoCuentas 98, 186, 2084, 77258, '2010-10-01 00:00:00', '2011-09-23 00:00:00', 1, 0.00191939

-- http://localhost:55706/RPTAccExtrCuentas.aspx?b=98&e=186&m=2&t=520,9988&c=1101001%20%20%20%20%20%20%20%20%20%20%20%20%20&s=01/10/2010&t=23/09/2011