DECLARE @id_ejer INT = 186,
		@id_peri INT = 2095,
		@id_empr INT = 98,
		@tasa_l  INT = 1
		
DECLARE @orden   INT = (SELECT orden FROM CONTPERI WHERE id_peri = @id_peri)

-- Versin 1 (Original)

SELECT cuenta, 
       cto_gto  = COALESCE(cto_gto , ' '), 
       tit_cta,
       tit_ctgt = COALESCE(tit_ctgt, ' '),
       sal_ini  = CONVERT(NUMERIC(21,6), SUM(CASE WHEN sa.id_peri != CONVERT(CHAR(16), @id_peri) 
												  THEN debe - haber 
												  ELSE 0 
												  END * CONVERT(CHAR(13), @tasa_l))),
       sal_per  = CONVERT(NUMERIC(21,6), SUM(CASE WHEN sa.id_peri  = CONVERT(CHAR(16), @id_peri)
                                                  THEN debe - haber 
                                                  ELSE 0 
                                                  END * CONVERT(CHAR(13), @tasa_l))),
       MAX(CASE pl.deudora
           WHEN 1 THEN 1
           ELSE 0
           END) AS deudora, 
       Orden = CASE WHEN cod_tcta = '06' THEN 2 
                    WHEN cod_tcta = '12' THEN 1 
                    ELSE 3 END 
FROM       CONTSALD sa   
INNER JOIN CONTPLAN pl ON sa.id_cuenta = pl.id_cuenta 
LEFT  JOIN CONTCTGT cg ON pl.id_ctgt   = cg.id_ctgt
INNER JOIN CONTPERI pe ON sa.id_peri   = pe.id_peri
INNER JOIN CONTESTR es ON pl.id_estr   = es.id_estr
INNER JOIN CONTTCTA tc ON es.id_tcta   = tc.id_tcta
INNER JOIN CONTEMPR em ON pl.id_empr   = em.id_empr
INNER JOIN SICLAMON m1 ON em.id_mone   = m1.id_mone
LEFT  JOIN SICLAMON m2 ON pl.id_mone   = m2.id_mone
WHERE   sa.id_ejer = CONVERT(CHAR(16), @id_ejer)
	AND em.id_empr = @id_empr
    AND pe.orden  <= CONVERT(CHAR(16) , @orden)
    AND cod_tcta  IN ('12','06','10')
GROUP BY cuenta, cto_gto, tit_cta, tit_ctgt, pl.deudora, cod_tcta 
ORDER BY cuenta, cto_gto

-- Versin 2 (Sumarizada)

SELECT MAX(cuenta), 
       --cto_gto  = COALESCE(cto_gto , ' '), 
       MAX(tit_cta),
       --tit_ctgt = COALESCE(tit_ctgt, ' '),
       sal_ini  = CONVERT(NUMERIC(21,6), SUM(CASE WHEN sa.id_peri != CONVERT(CHAR(16), @id_peri) 
												  THEN debe - haber 
												  ELSE 0 
												  END * CONVERT(CHAR(13), @tasa_l))),
       sal_per  = CONVERT(NUMERIC(21,6), SUM(CASE WHEN sa.id_peri  = CONVERT(CHAR(16), @id_peri)
                                                  THEN debe - haber 
                                                  ELSE 0 
                                                  END * CONVERT(CHAR(13), @tasa_l))),
       MAX(CASE pl.deudora
           WHEN 1 THEN 1
           ELSE 0
           END) AS deudora, 
       Orden = CASE WHEN cod_tcta = '06' THEN 2 
                    WHEN cod_tcta = '12' THEN 1 
                    ELSE 3 END 
FROM       CONTSALD sa   
INNER JOIN CONTPLAN pl ON sa.id_cuenta = pl.id_cuenta 
LEFT  JOIN CONTCTGT cg ON pl.id_ctgt   = cg.id_ctgt
INNER JOIN CONTPERI pe ON sa.id_peri   = pe.id_peri
INNER JOIN CONTESTR es ON pl.id_estr   = es.id_estr
INNER JOIN CONTTCTA tc ON es.id_tcta   = tc.id_tcta
INNER JOIN CONTEMPR em ON pl.id_empr   = em.id_empr
INNER JOIN SICLAMON m1 ON em.id_mone   = m1.id_mone
LEFT  JOIN SICLAMON m2 ON pl.id_mone   = m2.id_mone
WHERE   sa.id_ejer = CONVERT(CHAR(16), @id_ejer)
	AND em.id_empr = @id_empr
    AND pe.orden  <= CONVERT(CHAR(16) , @orden)
    AND cod_tcta  IN ('12','06','10')
GROUP BY cuenta, /*cto_gto,  tit_cta, *//*tit_ctgt, pl.deudora, */ cod_tcta 
ORDER BY cuenta--, cto_gto