--PROCEDURE [dbo].[b_result]  
--	  @ejer          int,              CONTEJER id_ejer Ejercio
--	  @Per_ini       int,              CONTPERI id_peri Periodo del Ejercicio (CONTEJER -> CONTPERI)
--	  @orden         tinyint,          Orden del Periodo (en el registro del periodo en CONTPERI)
--    @cade_empresa  varchar(1000),    Lista de empresas
--    @cade_cto      varchar(1000),    Lista de cto (Centros de Costos) Formato '''1'',''2'',''3'',...,''n'''
--    @tipo_bal      integer,          1 - Periodo, 2 - Acumulado, 3 - Ambos
--    @tasa_l        numeric(13,8),    Tasa
--    @SiMone        bit,              Filtrar Cuentas por monedas 0 - No, 1 - S
--    @ConvSel       int               Filtrar por monedas 1 - Convertibles 2 - No Convertibles

--Se manejan 6 informes
-- rep_resul.frx :       Al agrupar por Cuenta
-- rep_resulcto.frx:     Al agrupar por Centro de Costo
-- rep_resul_c.frx:      Al agrupar por Completo
-- rep_resulcom.frx :    Al agrupar por Cuenta y Comparativo
-- rep_resulctocom.frx:  Al agrupar por Centro de Costo y Comparativo
-- rep_resulcom_c.frx:   Al agrupar por Completo y Comparativo

-- PARA LO REQUERIDO, ESTE ES EL QUE SE OCUPA NICAMENTE
exec b_result 186,2095,11,'98',NULL,3,1,0,1

-- Todo el ejercicio, 1 empresa, todo cto (enva nulo).
exec b_result 186,2097,99,'98',NULL,1,1,0,1

-- Solo del cierre (parece hacer filtro en repo), 1 empresa, todo cto
exec b_result 186,2097,99,'98',NULL,1,1,0,1

-- Todo el ejercicio, 1 empresa, todo cto, con fechas
set language english
exec b_result_fec 186,'2011-09-30 00:00:00','2011-09-30 00:00:00','98',NULL,1,1,0,1,2,2
exec b_result_fec 186,'2011-09-30 00:00:00','2011-09-30 00:00:00','98',NULL,3,1,0,1,2,2

-- Todo el Ejercicio, 1 empresa, del cto minibar (1005)

exec sp_executesql N'Select id_peri,orden from contperi where id_ejer = @P1   and orden in ( Select Max(orden) from contperi peri1 where id_ejer = @P2 )',N'@P1 float,@P2 float',186,186
go
exec b_result 186,2097,99,'98','''1005''',1,1,0,1
go

-- Todo el ejercicio, 1 empresa, varios cto
exec b_result 186,2097,99,'98','''1002'',''1003'',''1004'',''2001''',1,1,0,1

Select cuenta = cuenta_est, cto_gto = Space(4),tit_cta=Max(Tit_ctaest),  tit_ctgt = Space(20), deudora = Case When deudora = 1 then 1 else 0 end,Fec1_Per = 0000000000.000000, Fec2_Per = 0000000000.000000, Fec1_Acu = 0000000000.000000, Fec2_Acu = 0000000000.000000, Pla = '1',  Orden = Case When cod_tcta='06' then 2 When cod_tcta='12' then 1 else 3 end  From contestr inner join conttcta on contestr.id_tcta = conttcta.id_tcta Where contestr.id_empr in(98)  and Len(Rtrim(cuenta_est))=   2 and cod_tcta in ('12','06','10')  Group by cuenta_est,deudora,cod_tcta  Order by cuenta_est 

-- Filtrar cuentas por monedas no convertibles
exec b_result 187,2111,99,'98',NULL,1,1,1,2
-- Filtrar cuentas por monedas convertibles
exec b_result 187,2111,99,'98',NULL,1,1,1,1
-- No filtrar cuentas por monedas
exec b_result 187,2111,99,'98',NULL,1,1,0,1
-- Del Periodo
exec b_result 187,2111,99,'98',NULL,1,1,0,1
-- Acumulado
exec b_result 187,2111,99,'98',NULL,2,1,0,1
-- Ambos
exec b_result 187,2111,99,'98',NULL,3,1,0,1

-- Se llama para comprar con el presupuestado
-- 500 es la tasa, asumo que hizo (1 colon / tasa) = 500
exec b_result_pres 186,2097,99,'98',NULL,3,500,0,1
-- Presupuestado con fechas
exec b_result_fec_pres 186,'98',NULL,3,500,2096,12,2096,12,0,1
