USE [InnPos]
GO

/****** Object:  View [dbo].[ALMAARTI]    Script Date: 02/01/2013 14:55:55 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER OFF
GO

CREATE  VIEW [dbo].[ALMAAREX] AS
     SELECT id_aral    = A.ID_ARTI,
  	    cod_aral   = Convert(char(20), LTRIM(RTRIM(G.CODIGO))+LTRIM(RTRIM(F.CODIGO))+ LTRIM(RTRIM(A.CODIGO))),
 	    desc_aral  = A.DESCRIPCION,  
	    id_alma    = AL.id_alma , 
	    id_unme    = A.id_unme_se, 
            p_costo    = CASE WHEN AE.id_alex is null or AE.existencia = 0
				     THEN CASE WHEN COALESCE(A.ult_precio_cmp,0) = 0
					       THEN Convert(money, ROUND(InnInv.dbo.GetCostoLineaSubMayor(InnInv.dbo.GetUltimaOperacionArtiAlmacen(A.id_arti)) / 
													        A.cant_unme_se, 2) )
                                               ELSE Convert(money, ROUND( A.ult_precio_cmp / COALESCE(A.ult_tasa,1) / A.cant_unme_al / A.cant_unme_se, 2) )
				     	  END
				     ELSE Convert(money, ROUND(AE.importe / AE.existencia / A.cant_unme_se,2) )
				END,
	    id_unme_co   = A.id_unme_co,
	    cant_unme_al = A.cant_unme_al,
	    id_unme_al   = A.id_unme_al, 				
	    cant_unme_se = A.cant_unme_se,
	    existencia   = (COALESCE(InnInv.dbo.ExistenciaEnAlmacen(A.id_arti, NULL), 0) + 
						COALESCE(InnInv.dbo.ExistenciaEnSeccion(A.id_arti, NULL), 0)) / A.cant_unme_se	
   FROM InnInv..STOKARTI A
     INNER JOIN InnInv..STOKFAMI F    ON A.ID_FAMI  = F.ID_FAMI
     INNER JOIN InnInv..STOKGRUP G    ON G.ID_GRUP  = F.ID_GRUP 
     INNER JOIN InnInv..STOKALFA AL   ON F.ID_FAMI  = AL.ID_FAMI  
     LEFT JOIN  InnInv..STOKALEX AE   ON A.ID_ARTI  = AE.ID_ARTI  and 
                                         AL.ID_ALMA = AE.ID_ALMA
				              
GO


